Name:           fcitx-openbangla
Version:        3.0.0
Release:        1%{?dist}
Summary:        An OpenSource, Unicode compliant Bengali Input Method

License:        GPLv3+
URL:            https://github.com/OpenBangla/OpenBangla-Keyboard.git
Source0:        fcitx-openbangla-3.0.0.tar.gz

BuildRequires:  cmake
BuildRequires:  gcc
BuildRequires:  gcc-c++
BuildRequires:  ninja-build
BuildRequires:  qt5-qtdeclarative-devel
BuildRequires:  libzstd-devel
BuildRequires:  rust
BuildRequires:  cargo
BuildRequires:  fcitx5-devel

%description
OpenBangla-Keyboard is a phonetic typing system for Bangla.

%prep
%setup -q

# Create build directory and configure CMake
mkdir -p build
cd build
cmake .. -GNinja -DCPACK_GENERATOR=RPM     -DCMAKE_INSTALL_PREFIX="/usr"     -DENABLE_FCITX=ON     -DCPACK_GENERATOR=RPM

# Build the project
ninja package

# Move RPM to the build directory
if [ -f /builddir/build/BUILD/fcitx-openbangla-3.0.0/build/fcitx-openbangla_3.0.0-.rpm ]; then
    mv /builddir/build/BUILD/fcitx-openbangla-3.0.0/build/fcitx-openbangla_3.0.0-.rpm /builddir/build/RPMS/
elif [ -f /builddir/build/BUILD/fcitx-openbangla-3.0.0-build/fcitx-openbangla-3.0.0/build/fcitx-openbangla_3.0.0-.rpm ]; then
    mv /builddir/build/BUILD/fcitx-openbangla-3.0.0-build/fcitx-openbangla-3.0.0/build/fcitx-openbangla_3.0.0-.rpm /builddir/build/RPMS/
else
    echo "Error: RPM not found in expected locations"
    exit 1
fi

%changelog
* Tue Aug 27 2024 Badshah - 3.0.0-1
- Initial package
